CMSIS-Driver: Driver_ETH_PHY.c File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_ETH_PHY.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_ETH_PHY_GetVersion (void)
| Get driver version. More...
int32_t | ARM_ETH_PHY_Initialize (ARM_ETH_PHY_Read_t fn_read, ARM_ETH_PHY_Write_t fn_write)
| Initialize Ethernet PHY Device. More...
int32_t | ARM_ETH_PHY_Uninitialize (void)
| De-initialize Ethernet PHY Device. More...
int32_t | ARM_ETH_PHY_PowerControl (ARM_POWER_STATE state)
| Control Ethernet PHY Device Power. More...
int32_t | ARM_ETH_PHY_SetInterface (uint32_t interface)
| Set Ethernet Media Interface. More...
int32_t | ARM_ETH_PHY_SetMode (uint32_t mode)
| Set Ethernet PHY Device Operation mode. More...
ARM_ETH_LINK_STATE | ARM_ETH_PHY_GetLinkState (void)
| Get Ethernet PHY Device Link state. More...
ARM_ETH_LINK_INFO | ARM_ETH_PHY_GetLinkInfo (void)
| Get Ethernet PHY Device Link information. More...